<?php
add_action( 'customize_register', 'berkeley_customize_register_skins' );
function berkeley_customize_register_skins( $wp_customize ) {
    $wp_customize->add_section( 'title_tagline',
        array(
            'title'      => __( 'Title, Tagline & Logo', 'berkeley' ),
            'priority'   => 30,
            'panel' => 'berkeley_general_settings'
        )
    );

    $wp_customize->add_setting( 'berkeley_logo_resizer',
        array(
            'default'     => 100,
            'sanitize_callback' => 'berkeley_sanitize_positive_number',
        )
    );

    $wp_customize->add_control('berkeley_logo_resizer',
        array(
            'label' => __('Resize & Adjust Logo','berkeley'),
            'section' => 'title_tagline',
            'settings' => 'berkeley_logo_resizer',
            'priority' => 6,
            'type' => 'range',
            'active_callback' => 'berkeley_logo_enabled',
            'input_attrs' => array(
                'min'   => 30,
                'max'   => 200,
                'step'  => 5,
            ),
        )
    );


    function berkeley_logo_enabled($control) {
        $option = $control->manager->get_setting('custom_logo');
        return $option->value() == true;
    }


    $wp_customize->get_control('header_textcolor')->label = __('Site Title Color','berkeley');

    $wp_customize->add_setting('berkeley_header_desccolor',
        array(
            'default'     => '#000',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize, 'berkeley_header_desccolor',
            array(
                'label' => __('Site Tagline Color','berkeley'),
                'section' => 'colors',
                'settings' => 'berkeley_header_desccolor',
                'type' => 'color'
            )
        )
    );
}