<?php
/*
** Customizer Controls
*/
if( class_exists( 'WP_Customize_Control' ) ) :
    class Berkeley_WP_Customize_Category_Control extends WP_Customize_Control {
        /**
         * Render the control's default-content.
         */
        public function render_content() {
            $dropdown = wp_dropdown_categories(
                array(
                    'name'              => '_customize-dropdown-categories-' . $this->id,
                    'echo'              => 0,
                    'show_option_none'  => __( '&mdash; Select &mdash;', 'berkeley' ),
                    'option_none_value' => '0',
                    'selected'          => $this->value(),
                )
            );

            $dropdown = str_replace( '<select', '<select ' . $this->get_link(), $dropdown );

            printf(
                '<label class="customize-control-select"><span class="customize-control-title">%s</span> %s</label>',
                $this->label,
                $dropdown
            );
        }
    }

    class Berkeley_WP_Customize_Miscellaneous_Control extends WP_Customize_Control {
        public $type = 'misc';
        public function render_content() {
            printf(
                '<label class="customize-control-misc"><span class="customize-control-title">%s</span> %s</label>',
                $this->label,
                $this->description
            );
        }
    }
endif;