<?php
add_action('customize_register', 'berkeley_customize_register_featured_pages');
function berkeley_customize_register_featured_pages ($wp_customize) {
    $wp_customize->add_section('berkeley_featpages',
        array(
            'title' => __('Featured Pages', 'berkeley'),
            'priority' => 34,
        )
    );

    $wp_customize->add_setting('berkeley_fpages_enable',
        array(
            'default' => false,
            'sanitize_callback' => 'berkeley_sanitize_checkbox',
        )
    );

    $wp_customize->add_control('berkeley_fpages_enable',
        array(
            'settings' => 'berkeley_fpages_enable',
            'section'  => 'berkeley_featpages',
            'label'    => __( 'Enable Featured Pages', 'berkeley' ),
            'type'     => 'checkbox',
        )
    );

    for($x=1; $x<=4; $x++ ):
        $wp_customize->add_setting('berkeley_select_fpage_'.$x,
            array(
                'sanitize_callback' => 'absint'
            )
        );


        $wp_customize->add_control('berkeley_select_fpage_'.$x,
            array(
                'label'    => __('Select Page To Be Shown ','berkeley').$x,
                'settings' => 'berkeley_select_fpage_'.$x,
                'section'  => 'berkeley_featpages',
                'type' => 'dropdown-pages',
                'active_callback' => 'berkeley_fpage_active_callback'
            )
        );
    endfor;

    function berkeley_fpage_active_callback( $control ) {
        $option = $control->manager->get_setting('berkeley_fpages_enable');
        return $option->value() == true;
    }

    $wp_customize->add_setting('berkeley_fpage_background_img',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, 'berkeley_fpage_background_img',
            array(
                'label' => __('Upload A Background Image', 'berkeley'),
                'section' => 'berkeley_featpages',
                'settings' => 'berkeley_fpage_background_img',
                'active_callback' => 'berkeley_fpage_active_callback'
            )
        )
    );
}