<?php
add_action( 'customize_register', 'berkeley_customize_register_fp' );
function berkeley_customize_register_fp( $wp_customize ) {
    $wp_customize->add_section('berkeley_featposts',
        array(
            'title'     => __('Featured Posts','berkeley'),
            'priority'  => 35,
        )
    );

    $wp_customize->add_setting('berkeley_featposts_enable',
        array(
            'sanitize_callback' => 'berkeley_sanitize_checkbox'
        )
    );

    $wp_customize->add_control('berkeley_featposts_enable',
        array(
            'settings' => 'berkeley_featposts_enable',
            'label'    => __( 'Enable', 'berkeley' ),
            'section'  => 'berkeley_featposts',
            'type'     => 'checkbox',
        )
    );

    $wp_customize->add_setting('berkeley_featposts_cat',
        array(
            'sanitize_callback' => 'berkeley_sanitize_category'
        )
    );


    $wp_customize->add_control(
        new Berkeley_WP_Customize_Category_Control(
            $wp_customize, 'berkeley_featposts_cat',
            array(
                'label'    => __('Category For Featured Posts','berkeley'),
                'settings' => 'berkeley_featposts_cat',
                'section'  => 'berkeley_featposts'
            )
        )
    );
}