<?php
add_action('customize_register', 'berkeley_customize_register_footer_section');
function berkeley_customize_register_footer_section ($wp_customize) {
    $wp_customize->add_section('berkeley_foot_sec',
        array(
            'title' => __('Footer Section', 'berkeley'),
            'priority' => 45,
        )
    );

    $wp_customize->add_setting('berkeley_fsec_enable',
        array(
            'default' => false,
            'sanitize_callback' => 'berkeley_sanitize_checkbox',
        )
    );

    $wp_customize->add_control('berkeley_fsec_enable',
        array(
            'settings' => 'berkeley_fsec_enable',
            'section'  => 'berkeley_foot_sec',
            'label'    => __( 'Enable Featured Pages', 'berkeley' ),
            'type'     => 'checkbox',
        )
    );

    $wp_customize->add_setting('berkeley_fsec_from_id',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('berkeley_fsec_from_id',
        array(
            'settings' => 'berkeley_fsec_from_id',
            'section'   => 'berkeley_foot_sec',
            'label' => __('Enter Contact Form Shortcode', 'berkeley'),
            'type' => 'text',
           'active_callback' => 'berkeley_fsec_enable'
        )
    );

    $wp_customize->add_setting('berkeley_select_fsec_page',
        array(
           'sanitize_callback' => 'absint'
        )
    );

    $wp_customize->add_control('berkeley_select_fsec_page',
        array(
           'label'    => __('Select Page To Be Shown In Footer Section ','berkeley'),
           'settings' => 'berkeley_select_fsec_page',
           'section'  => 'berkeley_foot_sec',
           'type' => 'dropdown-pages',
           'active_callback' => 'berkeley_fsec_enable'
        )
    );

    function berkeley_fsec_enable( $control ) {
        $option = $control->manager->get_setting('berkeley_fsec_enable');
        return $option->value() == true;
    }

    $wp_customize->add_setting('berkeley_fsec_background_img',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, 'berkeley_fsec_background_img',
            array(
                'settings' => 'berkeley_fsec_background_img',
                'section' => 'berkeley_foot_sec',                
                'label' => __('Upload A Background Image', 'berkeley'),
                'active_callback' => 'berkeley_fsec_enable'
            )
        )
    );
}