<?php
add_action( 'customize_register', 'berkeley_customize_register_header' );
function berkeley_customize_register_header( $wp_customize ) {
    $wp_customize->get_section('header_image')->panel = 'berkeley_general_settings';

    $wp_customize->get_section( 'background_image' )->panel = 'berkeley_general_settings';

    $wp_customize->add_setting( 'berkeley_himg_style',
        array(
            'default'     => 'cover',
            'sanitize_callback' => 'berkeley_sanitize_header_image_style'
        )
    );

    function berkeley_sanitize_header_image_style( $input ) {
        if (in_array( $input, array('contain','cover') ) )
            return $input;
        else
            return '';
    }

    $wp_customize->add_control('berkeley_himg_style',
        array(
            'label' => __('Header Image Arrangement','berkeley'),
            'section' => 'header_image',
            'settings' => 'berkeley_himg_style',
            'type' => 'select',
            'choices' => array(
                'contain' => __('Contain','berkeley'),
                'cover' => __('Cover Completely (Recommended)','berkeley'),
            )
        )
    );

    $wp_customize->add_setting( 'berkeley_himg_align',
        array(
            'default'     => 'center',
            'sanitize_callback' => 'berkeley_sanitize_header_image_align'
        )
    );

    function berkeley_sanitize_header_image_align( $input ) {
        if (in_array( $input, array('center','left','right') ) )
            return $input;
        else
            return '';
    }

    $wp_customize->add_control('berkeley_himg_align',
        array(
            'label' => __('Header Image Alignment','berkeley'),
            'section' => 'header_image',
            'settings' => 'berkeley_himg_align',
            'type' => 'select',
            'choices' => array(
                'center' => __('Center','berkeley'),
                'left' => __('Left','berkeley'),
                'right' => __('Right','berkeley'),
            )
        )
    );

    $wp_customize->add_setting( 'berkeley_himg_repeat' ,
        array(
            'default'     => true,
            'sanitize_callback' => 'berkeley_sanitize_checkbox'
        )
    );

    $wp_customize->add_control('berkeley_himg_repeat',
        array(
            'label' => __('Repeat Header Image','berkeley'),
            'section' => 'header_image',
            'settings' => 'berkeley_himg_repeat',
            'type' => 'checkbox',
        )
    );
}