<?php
/**
 * berkeley Theme Customizer
 *
 * @package berkeley
 */
/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

add_action( 'customize_register', 'berkeley_customize_register' );
function berkeley_customize_register( $wp_customize ) {
    $wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';

    $wp_customize->get_section('static_front_page')->panel = 'berkeley_general_settings';
    $wp_customize->get_section('colors')->panel = 'berkeley_general_settings';

    $wp_customize->add_panel( 'berkeley_general_settings',
        array(
            'title' => __( 'General Settings', 'berkeley'),
            'priority' => 6
        )
    );
}

//Load All Individual Settings Based on Sections/Panels.
get_template_part('/framework/customizer/customizer', 'controls');
get_template_part('/framework/customizer/featured', 'posts');
get_template_part('/framework/customizer/parallax', 'section');
get_template_part('/framework/customizer/featured', 'pages');
get_template_part('/framework/customizer/notification');
get_template_part('/framework/customizer/content', 'setting');
get_template_part('/framework/customizer/sanitizors');
get_template_part('/framework/customizer/header');
get_template_part('/framework/customizer/color');
get_template_part('/framework/customizer/social', 'medias');
get_template_part('/framework/customizer/footer', 'section');
get_template_part('/framework/customizer/miscellaneous');


/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
add_action( 'customize_preview_init', 'berkeley_customize_preview_js' );
function berkeley_customize_preview_js() {
    wp_enqueue_script( 'berkeley_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130509', true );
}
