<?php
add_action('customize_register', 'berkeley_customize_register_parallax_section');
function berkeley_customize_register_parallax_section($wp_customize) {
    $wp_customize->add_section('berkeley_parallax_section',
        array(
            'title' => __('Parallax Section', 'berkeley'),
            'priority' => 26,
        )
    );

    $wp_customize->add_setting('berkeley_parallax_enable',
        array(
            'sanitize_callback' => 'berkeley_sanitize_checkbox'
        )
    );

    $wp_customize->add_control('berkeley_parallax_enable',
        array(
            'setting' => 'berkeley_parallax_enable',
            'section' => 'berkeley_parallax_section',
            'label' => __('Enable Parallax', 'berkeley'),
            'type' => 'checkbox',
            'default' => false
        )
    );

    $wp_customize->add_setting('berkeley_parallax_background_image',
        array(
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize, 'berkeley_parallax_background_image',
            array (
                'setting' => 'berkeley_parallax_background_image',
                'section' => 'berkeley_parallax_section',
                'label' => __('Background Image for Parallax', 'berkeley'),
                'active_callback' => 'berkeley_parallax_active_callback'
            )
        )
    );

    $wp_customize->add_setting('berkeley_parallax_selectpage',
        array(
            'sanitize_callback' => 'absint'
        )
    );

    $wp_customize->add_control('berkeley_parallax_selectpage',
        array(
            'setting' => 'berkeley_parallax_selectpage',
            'section' => 'berkeley_parallax_section',
            'label' => __('Parallax Title', 'berkeley'),
            'description' => __('Select a page to display Title in parallax section', 'berkeley'),
            'type' => 'dropdown-pages',
            'active_callback' => 'berkeley_parallax_active_callback'
        )
    );

    $wp_customize->add_setting('berkeley_parallax_full_content',
        array(
            'sanitize_callback' => 'berkeley_sanitize_checkbox',
            'default'   => false
        )
    );

    $wp_customize->add_control('berkeley_parallax_full_content',
        array(
            'setting' => 'berkeley_parallax_full_content',
            'section' => 'berkeley_parallax_section',
            'label' => __('Check to Show Full Content instead of excerpt', 'berkeley'),
            'type' => 'checkbox',
            'active_callback' => 'berkeley_parallax_active_callback'
        )
    );

    $wp_customize->add_setting('berkeley_parallax_button',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control('berkeley_parallax_button',
        array(
            'setting' => 'berkeley_parallax_button',
            'section' => 'berkeley_parallax_section',
            'label' => __('Button Name', 'berkeley'),
            'description' => __('Leave blank to disable Button.', 'berkeley'),
            'type' => 'text',
            'active_callback' => 'berkeley_parallax_active_callback'
        )
    );

    function berkeley_parallax_active_callback( $control ) {
        $option = $control->manager->get_setting('berkeley_parallax_enable');
        return $option->value() == true;
    }
}