<?php
/**
 * Enqueue scripts and styles.
 */
add_action( 'wp_enqueue_scripts', 'berkeley_scripts' );
function berkeley_scripts() {
    wp_enqueue_style( 'berkeley-style', get_stylesheet_uri() );

    wp_enqueue_style('berkeley-title-font', '//fonts.googleapis.com/css?family='.str_replace(" ", "+", get_theme_mod('berkeley_title_font', 'Nunito') ).':100,300,400,700' );

    wp_enqueue_style('berkeley-body-font', '//fonts.googleapis.com/css?family='.str_replace(" ", "+", get_theme_mod('berkeley_body_font', 'Alegreya') ).':100,300,400,700' );

    wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/essentials/font-awesome/css/font-awesome.min.css' );

    wp_enqueue_style( 'nivo-slider', get_template_directory_uri() . '/essentials/css/nivo-slider.css' );

    wp_enqueue_style( 'nivo-skin', get_template_directory_uri() . '/essentials/css/nivo-default/default.css' );

    wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/essentials/bootstrap/css/bootstrap.min.css' );

    wp_enqueue_style( 'hover-style', get_template_directory_uri() . '/essentials/css/hover.min.css' );

    wp_enqueue_style( 'berkeley-main-style', get_template_directory_uri() . '/essentials/styles/css/default.css');

    wp_enqueue_script( 'berkeley-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20120206', true );

    wp_enqueue_script( 'berkeley-external', get_template_directory_uri() . '/js/external.js', array('jquery'), '20120206', true );

    wp_enqueue_script('berkeley-sticky-sidebar-js', get_template_directory_uri()."/js/jquery-scrolltofixed-min.js", array('jquery'));

    wp_enqueue_script( 'berkeley-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }

    wp_enqueue_script( 'berkeley-custom-js', get_template_directory_uri() . '/js/custom.js', array('berkeley-external'), false, true );
}